std::ios_base::getloc(3)

NAME
std::ios_base::getloc - std::ios_base::getloc

Synopsis
   std::locale getloc() const;
   Returns the current locale associated with the stream.

Parameters
   (none)

Return value
   The locale object associated with the stream.

Example
// Run this code
 #include <iostream>
 #include <ctime>
 #include <iomanip>
 #include <codecvt>
 int main()
 {
     std::wbuffer_convert<std::codecvt_utf8<wchar_t>> conv(std::cout.rdbuf());
     std::wostream out(&conv);
     out.imbue(std::locale(out.getloc(),
                        new std::time_put_byname<wchar_t>("ja_JP")));
     std::time_t t = std::time(nullptr);
     out << std::put_time(std::localtime(&t), L"%A %c") << '\n';
 }

Possible output:
 土曜日 2013年09月14日 11時31分15秒

See also
   imbue sets locale
         (public member function)